<template>
	<view>
		<top-box @tabClick="tabClick" @search="search" @categoryClick="categoryClick" :scrollTop="scrollTop" :stickyTop="stickyTop"></top-box>
		<view class="data-box">
			<user-list :virtualList="virtualList"></user-list>
		</view>
	</view>
</template>

<script>
	import topBox from '@/pages/tabbar/components/home/topBox.vue';
	import UserList from '@/pages/tabbar/components/home/userList.vue';
	export default {
		components: {  
			topBox,
			UserList,
		},
		props: {
			scrollTop: {
				type: Number,
				default: 0,
			},
			stickyTop: {
				type: Number,
				default: uni.upx2px(80),
			},
			virtualList: {
				type: Array,
				default: [],
			},
		},
		data() {
			return {
				
			}
		}, 
		created() {
			
		},
		methods: {
			tabClick(e) {
				this.$emit('tabClick', e);
			},
			search(e) {
				this.$emit('search', e);
			},
			categoryClick(e) {
				this.$emit('categoryClick', e);
			},
		}
	}
</script>

<style lang="scss" scoped>
	.data-box {
		padding: 0 15px;
	}
</style>